# et:ts=4
# appbundle-1.0.tcl
#
# $Id$
#
# Copyright (c) 2009 The MacPorts Project
# Copyright (c) 2009 Rainer Mueller <raimue@macports.org>
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. Neither the name of Apple Computer, Inc. nor the names of its
#    contributors may be used to endorse or promote products derived from
#    this software without specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

options appbundle.create appbundle.binary appbundle.name appbundle.icon

# We can't set the real defaults here for all options, because they might not
# exist yet at time of sourcing
default appbundle.create yes
default appbundle.binary ""
default appbundle.name ""
default appbundle.icon ""

platform macosx {
    post-destroot {
        if {[tbool appbundle.create]} {
            if {${appbundle.binary} == ""} {
                appbundle.binary ${prefix}/bin/${name}
            }
            if {${appbundle.name} == ""} {
                appbundle.name ${name}
            }

            set app "${destroot}/${applications_dir}/${appbundle.name}.app"

            file mkdir "$app/Contents/MacOS"
            ln -s "${appbundle.binary}" "$app/Contents/MacOS/${appbundle.name}"

            if {${appbundle.icon} != ""} {
                file mkdir "$app/Contents/Resources"
                xinstall -m 444 "${filespath}/${appbundle.icon}" "$app/Contents/Resources/${appbundle.name}"
            }
        }
    }
}
